


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html id="htmlId">
<head>
  <title>Coverage Report :: Parameter</title>
  <style type="text/css">
    @import "../../.css/coverage.css";
  </style>
</head>

<body>
<div class="header"></div>

<div class="content">
<div class="breadCrumbs">
    [ <a href="../../index.html">all classes</a> ]
    [ <a href="../index.html">com.dema.timeregistration.application</a> ]
</div>

<h1>Coverage Summary for Class: Parameter (com.dema.timeregistration.application)</h1>

<table class="coverageStats">
<tr>
  <th class="name">Class</th>
<th class="coverageStat 
">
  Class, %
</th>
<th class="coverageStat 
">
  Method, %
</th>
<th class="coverageStat 
">
  Line, %
</th>
</tr>
<tr>
  <td class="name">Parameter</td>
<td class="coverageStat">
  <span class="percent">
    100%
  </span>
  <span class="absValue">
    (1/ 1)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    100%
  </span>
  <span class="absValue">
    (6/ 6)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    100%
  </span>
  <span class="absValue">
    (18/ 18)
  </span>
</td>
</tr>

</table>

<br/>
<br/>


<div class="sourceCode"><i>1</i>&nbsp;package com.dema.timeregistration.application;
<i>2</i>&nbsp;
<i>3</i>&nbsp;import java.util.Objects;
<i>4</i>&nbsp;
<i>5</i>&nbsp;public class Parameter {
<i>6</i>&nbsp;    private final String name;
<i>7</i>&nbsp;    private final boolean required;
<i>8</i>&nbsp;
<b class="fc"><i>9</i>&nbsp;    public Parameter(String name, boolean required) {</b>
<b class="fc"><i>10</i>&nbsp;        this.name = name;</b>
<b class="fc"><i>11</i>&nbsp;        this.required = required;</b>
<b class="fc"><i>12</i>&nbsp;    }</b>
<i>13</i>&nbsp;
<b class="fc"><i>14</i>&nbsp;    public Parameter(String name) {</b>
<b class="fc"><i>15</i>&nbsp;        this.name = name;</b>
<b class="fc"><i>16</i>&nbsp;        this.required = true;</b>
<b class="fc"><i>17</i>&nbsp;    }</b>
<i>18</i>&nbsp;
<i>19</i>&nbsp;    public String getName() {
<b class="fc"><i>20</i>&nbsp;        return name;</b>
<i>21</i>&nbsp;    }
<i>22</i>&nbsp;
<i>23</i>&nbsp;    public boolean isRequired() {
<b class="fc"><i>24</i>&nbsp;        return required;</b>
<i>25</i>&nbsp;    }
<i>26</i>&nbsp;
<i>27</i>&nbsp;    @Override
<i>28</i>&nbsp;    public boolean equals(Object o) {
<b class="fc"><i>29</i>&nbsp;        if (this == o) return true;</b>
<b class="fc"><i>30</i>&nbsp;        if (!(o instanceof Parameter)) return false;</b>
<i>31</i>&nbsp;
<b class="fc"><i>32</i>&nbsp;        Parameter parameter = (Parameter) o;</b>
<i>33</i>&nbsp;
<b class="fc"><i>34</i>&nbsp;        if (required != parameter.required) return false;</b>
<b class="fc"><i>35</i>&nbsp;        return Objects.equals(name, parameter.name);</b>
<i>36</i>&nbsp;    }
<i>37</i>&nbsp;
<i>38</i>&nbsp;    @Override
<i>39</i>&nbsp;    public int hashCode() {
<b class="fc"><i>40</i>&nbsp;        int result = name != null ? name.hashCode() : 0;</b>
<b class="fc"><i>41</i>&nbsp;        result = 31 * result + (required ? 1 : 0);</b>
<b class="fc"><i>42</i>&nbsp;        return result;</b>
<i>43</i>&nbsp;    }
<i>44</i>&nbsp;}
</div>
</div>

<div class="footer">
    
    <div style="float:right;">generated on 2019-05-13 13:51</div>
</div>
</body>
</html>
